#define F_CPU 16000000
#include <avr/io.h>
#include <util/delay.h>
#include "peri.h"

int main()
{
	init_peri();
	uint16_t light;
	uint8_t relay_status = 0;
	uint8_t IR_mode = 1;
	uint8_t change_mode = 0;
	int count = 5;
	int state = 0;
	set_led_status(IR_mode);

	while(1)
	{
		if ((PINC & (1<<PC3)) == 0)
		{
			change_mode = 1;
		}
		else if ((PINC & (1<<PC3)) != 0 && change_mode == 1)
		{
			IR_mode = !(IR_mode);
			set_led_status(IR_mode);
			change_mode = 0;
		}
		else
			change_mode = 0;
		
		if (IR_mode)
		{
			if ((PINC & (1<<PC5)) == 0)
			{
				count = 5;
				state = 1;
			}
			else if ((PINC & (1<<PC5)) != 0 && state == 1)
				count -= 1;
			
			if (count == 0)
			{
				relay_status = ~relay_status;
				set_relay(relay_status);
				state = 0;
				count = 5;
			}
		}

		else 
		{
			light = read_adc(PC4);

			if (light < 500)
				set_relay(1);
			else
				set_relay(0);
		}
		
    	_delay_ms(50);
		
	}
}