#include <avr/io.h>
#include "peri.h"

void init_peri()
{    
	DDRC |= (1<<PC0) | (1<<PC1) | (1<<PC2);
    DDRC &= ~((1<<PC3) | (1<<PC4) | (1<<PC5));
	PORTC |= (1<<PC3);
}

void set_led_status(uint8_t mode)
{
	PORTC &= ~(0b11);
	if (mode)
		PORTC |= (1<<PC0);
    else
        PORTC |= (1<<PC1);
}

void set_relay(uint8_t status)
{
	if (status)
        PORTC |= (1<<PC2);
    else
        PORTC &= ~(1<<PC2);
}

uint16_t read_adc(uint8_t channel)
{
	ADMUX = (0<< REFS1 )| (1<< REFS0) | (0<<ADLAR) | (channel & 0b1111);
	ADCSRA = (1 <<ADEN) | (1<< ADPS2)| (1<<ADPS1) | (1<<ADPS0) | (1<<ADSC);
	while((ADCSRA & (1<<ADSC)));
	return ADCL +ADCH*256;
}